# Interface AnnotationValue.OfAnnotation

All Superinterfaces:
  `AnnotationValue`

Enclosing interface:
  `AnnotationValue`

public static sealed interface AnnotationValue.OfAnnotation extends AnnotationValue
Models an annotation value of an element-value pair. The tag of this value is @.

Since:
  24

## Nested Class Summary

### Nested classes/interfaces declared in interface java.lang.classfile.AnnotationValue

`AnnotationValue.OfAnnotation, AnnotationValue.OfArray, AnnotationValue.OfBoolean, AnnotationValue.OfByte, AnnotationValue.OfChar, AnnotationValue.OfClass, AnnotationValue.OfConstant, AnnotationValue.OfDouble, AnnotationValue.OfEnum, AnnotationValue.OfFloat, AnnotationValue.OfInt, AnnotationValue.OfLong, AnnotationValue.OfShort, AnnotationValue.OfString`

## Field Summary

### Fields declared in interface java.lang.classfile.AnnotationValue

`TAG_ANNOTATION, TAG_ARRAY, TAG_BOOLEAN, TAG_BYTE, TAG_CHAR, TAG_CLASS, TAG_DOUBLE, TAG_ENUM, TAG_FLOAT, TAG_INT, TAG_LONG, TAG_SHORT, TAG_STRING`

## Method Summary

Modifier and Type
Method
Description
`Annotation`
`annotation()`
Returns the annotation value.

### Methods declared in interface java.lang.classfile.AnnotationValue

`tag`

## Method Details

### annotation

Annotation annotation()
Returns the annotation value.

Returns:
  the annotation value